<?php
session_start();
//include_once('../config/Conexion');
include '../config/conexion.php';

if(isset($_POST['agregar'])){
	//Imagen de Foto


	$database = new Connection();
	$db = $database->open();
	try{
		//hacer uso de una declaración preparada para prevenir la inyección de sql
		$stmt = $db->prepare("INSERT INTO conductor (nro_document, fullname, nro_licencia , direccion, nro_celular, nro_contacto_emergencia, categoria_licencia, fecha_vto_licencia) 
		VALUES (:nro_document, :fullname, :nro_licencia , :direccion, :nro_celular, :nro_contacto_emergencia, :categoria_licencia, :fecha_vto_licencia)");
		//instrucción if-else en la ejecución de nuestra declaración preparada
		$_SESSION['message'] = ( 
		$stmt->execute(array(
        ':nro_document' => $_POST['nro_document'],
		':fullname' => $_POST['fullname'], 
        ':nro_licencia' => $_POST['nro_licencia'],
		':direccion' => $_POST['direccion'], 
        ':nro_celular' => $_POST['nro_celular'],
        ':nro_contacto_emergencia' => $_POST['nro_contacto_emergencia'],
        ':categoria_licencia' => $_POST['categoria_licencia'],
        ':fecha_vto_licencia' => $_POST['fecha_vto_licencia']
		))) ? 'Conductor Creado Correctamente!' : 'Algo salió mal. No se puede crear el seguro vehicular';	
	    
	}
	catch(PDOException $e){
		$_SESSION['message'] = $e->getMessage();
	}
	//cerrar la conexion
	$database->close();
}

else{
	$_SESSION['message'] = 'Llene el formulario';
}

header('location: ../views/conductor');
	
?>
